#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# File for messages displayed by the upgrade automated scripts.
#
# ################################################################################


# *********************
# * Fonction des messages *
# *********************
messages() {

case $1 in 

# *********************************
# * Messages de vrification initiale *
# *********************************

INVALID_LAUNCH )
echo ""
echo "N'excutez pas le script app_upgrade directement.  Pour mettre  niveau une application, excutez l'une des commandes suivantes :"
echo "   dm_upgrade"
echo "   vvc_upgrade"
echo "Entrez -help pour afficher la description complte des commandes ci-dessus."
;;

INVALID_START_DIR )
echo ""
echo "Sauf si vous utilisez le paramtre -help, vous ne pouvez pas excuter le script $2  partir d'un rpertoire autre que $3"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "Le fichier '$2' contient les valeurs de paramtre pour le script de mise  niveau."
echo "Pour modifier ces valeurs de paramtre par dfaut, ditez ces fichiers ou spcifiez les valeurs de paramtre sous forme d'arguments de ligne de commande pour les scripts de mise  niveau."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "L'ensemble de fichiers ci-dessous contient les valeurs de paramtre par dfaut pour la mise  niveau d'une application.  Pour modifier ces valeurs de paramtre par dfaut, ditez ces fichiers ou spcifiez les valeurs de paramtre sous forme d'arguments de ligne de commande pour les scripts de mise  niveau."
echo "- DM upgrade:   $2/params/dm_params$3.sh"
echo "- VVC upgrade:  $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# * Messages de vrification des paramtres *
# ************************************

# Vrification intrinsque
# ======================

MISSING_APP_TYPE )
echo ""
echo "Aucun type d'application n'a t spcifi.  Pour mettre  niveau l'application, excutez l'une des commandes suivantes :"
echo "   dm_upgrade"
echo "   vvc_upgrade"
echo "Entrez -help pour afficher la description complte des commandes ci-dessus."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 n'est pas un type d'application valide.  Pour mettre  niveau l'application, excutez l'une des commandes suivantes :"
echo "   dm_upgrade"
echo "   vvc_upgrade"
echo "Entrez -help pour afficher la description complte des commandes ci-dessus."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "Valeur manquante pour le paramtre $2."
echo "Entrez -help pour afficher la description complte des paramtres."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "Le rpertoire $3, spcifi pour le paramtre $2, n'existe pas ou n'est pas valide."
echo "Entrez -help pour afficher la description complte des paramtres."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "Le rpertoire $3 spcifi pour le paramtre $2 doit tre un chemin d'accs absolu."
echo "Entrez -help pour afficher la description complte des paramtres."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "Le fichier $3, spcifi pour le paramtre $2, n'existe pas ou n'est pas valide."
echo "Entrez -help pour afficher la description complte des paramtres."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 est une valeur non valide pour le paramtre $2."
echo "Entrez -help pour afficher la description complte des paramtres."
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2 est un paramtre inconnu."
echo "Entrez -help pour afficher la description complte des paramtres."
echo ""
;;


# Vrification extrinsque
# ======================

MISSING_HOME_PARAM )
echo ""
echo "Paramtre de rpertoire principal $2 manquant."
echo "Entrez -help pour afficher la description complte des paramtres."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "Le rpertoire $2 n'existe pas ou n'est pas valide."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "Impossible de trouver la commande repotools de l'application '$2'."
echo ""
echo "Vrifiez que le paramtre -oldApplicationHome '$3' pointe vers l'ancien rpertoire de configuration de serveur, par exemple, 'JazzInstallDir/server/conf'."
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "Impossible de trouver la commande repotools de l'application '$2'."
echo ""
echo "Vrifiez que le paramtre -oldApplicationHome '$3' pointe vers l'ancien rpertoire de configuration de serveur, par exemple, 'JazzInstallDir/server/conf' et que le paramtre jtsContextRoot '$4' est correct."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "Fichier de configuration '$2' introuvable."
echo ""
echo "Vrifiez que le paramtre -oldApplicationHome '$3' pointe vers l'ancien rpertoire de configuration de serveur, par exemple, 'JazzInstallDir/server/conf'."
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "Fichier de configuration '$2' introuvable."
echo ""
echo "Vrifiez que le paramtre -oldApplicationHome '$3' pointe vers l'ancien rpertoire de configuration de serveur, par exemple, 'JazzInstallDir/server/conf' et que le paramtre jtsContextRoot '$4' est correct."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "Impossible de trouver la commande repotools de l'application '$2'."
echo ""
echo "Vrifiez que le paramtre -newApplicationHome '$3' pointe vers le nouveau rpertoire de configuration de serveur d'applications, par exemple, 'JazzInstallDir/server/conf' et que le paramtre jtsContextRoot '$4' est correct."
echo "Si vous procdez  une mise  niveau depuis une dition prcdente, vrifiez que vous avez slectionn les racines de contexte correctes.  Par exemple, si vous utilisez Installation Manager, vous devez slectionner l'option de racine de contexte $5 dans le panneau Options de racine de contexte. Si vous avez slectionn une autre option par inadvertance, vous devez rinstaller le produit avec l'option de racine de contexte $5."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "Fichier de configuration '$2' introuvable."
echo ""
echo "Vrifiez que le paramtre -newApplicationHome '$3' pointe vers le nouveau rpertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir/server/conf' et que le paramtre jtsContextRoot '$4' est correct."
echo "Si vous procdez  une mise  niveau depuis une dition prcdente, vrifiez que vous avez slectionn les racines de contexte correctes.  Par exemple, si vous utilisez Installation Manager, vous devez slectionner l'option de racine de contexte $5 dans le panneau Options de racine de contexte. Si vous avez slectionn une autre option par inadvertance, vous devez rinstaller le produit avec l'option de racine de contexte $5."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "Impossible de trouver la commande repotools JTS '$2'."
echo ""
echo "Vrifiez que le paramtre -oldJTSHome '$3' pointe vers l'ancien rpertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir/server/conf' et que le paramtre jtsContextRoot '$4' est correct."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "Fichier de configuration '$2' introuvable."
echo ""
echo "Vrifiez que le paramtre -oldJTSHome '$3' pointe vers l'ancien rpertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir/server/conf' et que le paramtre jtsContextRoot '$4' est correct."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "Impossible de trouver la commande repotools JTS '$2'."
echo ""
echo "Vrifiez que le paramtre -newJTSHome '$3' pointe vers le nouveau rpertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir/server/conf' et que le paramtre jtsContextRoot '$4' est correct."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "Fichier de configuration '$2' introuvable."
echo ""
echo "Vrifiez que le paramtre -newJTSHome '$3' pointe vers le nouveau rpertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir/server/conf' et que le paramtre jtsContextRoot '$4' est correct."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "Un fichier tar contenant des donnes 2.x est requis pour la mise  niveau de $2."
echo "Entrez -help pour afficher la description complte des paramtres."
echo ""
;;


# **********************
# * Messages d'excution *
# **********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===    DM Upgrade    ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===    VVC Upgrade    ==="
echo "============================================"
echo ""
;;


# *********************
# * Passage  la premire tape *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "La dernire excution a chou  l'tape initiale..."
;;

LAST_STEP_FAILED )
echo ""
echo "La dernire excution a chou  l'tape $2..."
echo "Voulez-vous redmarrer la mise  niveau  partir de cette tape ou d'une tape prcdente ?"
;;

ALREADY_RUN )
echo ""
echo "La mise  niveau a dj t effectue et a abouti..."
echo "Voulez-vous en redmarrer une nouvelle  partir d'une tape spcifique ?"
;;

LAST_STEP_PASSED )
echo ""
echo "La dernire excution a t arrte  l'tape $2..."
echo "Voulez-vous redmarrer la mise  niveau  partir de l'tape $3 ou d'une tape prcdente ?"
;;

ENTER_NEXT_STEP )
echo ""
echo "Entrez le numro de l'tape [$2-$3]  partir de laquelle redmarrer la mise  niveau ou appuyez sur [Entre] pour annuler :"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2' n'est pas un nombre. Entrez un numro d'tape valide."
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2' n'est pas un numro d'tape valide. Entrez un numro d'tape valide."
;;

MAX_STEP_NUMBER )
echo ""
echo "La dernire tape est l'tape $2 ; par consquent, vous ne pouvez pas redmarrer la mise  niveau  l'tape $3."
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "L'tape $2 n'a pas encore t excute ; par consquent, vous ne pouvez pas redmarrer la mise  niveau  l'tape $3."
;;


# **********************
# * Messages pour les tapes *
# **********************

STEP_0_IBMi )
echo "Etape 0 : Suppression des tables"
echo "-------------------"
;;

STEP_0 )
echo "Etape 0 : Mise  jour des fichiers de configuration"
echo "---------------------------------------------------"
;;

STEP_1_ADD )
echo "Etape 1 : Ajout de tables"
echo "-------------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "Etape $2 : Rgnration des index de texte"
echo "----------------------------"
;;

JFS_INDICES_STEP )
echo "Etape $2 : Recration des index de requte et de recherche"
echo "-----------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "Etape 2 : Mise  niveau du schma d'entrept de donnes"
echo "-------------------------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "La mise  niveau de $2 a chou  l'tape $3.  Corrigez le problme et excutez  nouveau le script  partir de l'tape $3."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo "La mise  niveau de $2 a russi.  Si vous avez galement mis  niveau JTS, vous pouvez  prsent dmarrer les serveurs dans votre dploiement."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo "La mise  niveau de $2 a russi.  Si vous avez galement mis  niveau JTS et toutes les applications dpendantes (telles que DM), vous pouvez  prsent dmarrer les serveurs dans votre dploiement."
echo ""
;;

# *******************************
# * Messages lors de l'excution d'une tape *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Rpertoire : $2"
echo "Commande :"
;;

ENTER_STEP_ACTION )
echo "Entrez [E] pour excuter cette tape, [S] pour l'ignorer ou appuyez sur [Entre] pour annuler l'excution du script :"
;;

INVALID_STEP_ACTION )
echo ""
echo "'$2' n'est pas une entre valide ; 'E', 'S' et 'Entre' seulement sont admis"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "Un diteur vi va s'ouvrir pour que vous puissiez vrifier le fichier teamserver.properties $2."
echo "Vrifiez que la racine d'URI public indique par la proprit com.ibm.team.repository.server.webapp.url est correcte."
echo "Vrifiez que les proprits de la base de donnes sont correctes."
echo "Lorsque vous avez termin, sauvegardez vos modifications, le cas chant, puis fermez l'diteur afin de continuer l'excution du script."
echo ""
;;

PAUSE )
echo ""
echo "Entrez [C] pour continuer l'excution ou appuyez sur [Entre] pour annuler l'excution du script :"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2' n'est pas une entre valide ; 'C' et 'Entre' seulement sont admis"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "Echec de la copie des index de texte de '$2' vers '$3'."
echo "Vrifiez la proprit com.ibm.team.fulltext.indexLocation"
echo "dfinie dans le fichier teamserver.properties."
echo "Copiez manuellement les index de texte vers ce rpertoire"
echo "ou excutez la commande repotools -rebuildTextIndices pour les regnrer."
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "Echec de la copie de la base de donnes TRS de '$2'  '$3'."
echo "Vrifiez la proprit com.ibm.xtools.trs.database"
echo "dfinie dans le fichier teamserver.properties."
echo "Copiez manuellement la hirarchie de rpertoires de la base de donnes TRS."
echo ""
;;

# *****************************************
# * Messages pour la vrification des URI publics *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERREUR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Aucun URI public n'est dfini dans"
echo "$3,"
echo "par consquent la mise  niveau ne peut pas tre dmarre."
echo ""
echo "Ce fichier doit comporter un URI public dfini comme suit :"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "La proprit d'URI public com.ibm.team.repository.server.webapp.url doit tre indique dans le fichier teamserver.properties."
echo "Ajoutez la proprit au fichier teamserver.properties de l'ancienne installation et dfinissez sa valeur sur l'URI racine que tous les clients utilisent pour accder au serveur."
echo "La racine d'URI public est indispensable au bon fonctionnement de votre nouvelle installation. Sans cette proprit, la mise  niveau ne pourra pas aboutir.  "
echo "Pour plus d'informations, voir la rubrique 'Planification de vos URI' dans le centre de documentation."
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERREUR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Tous les URI publics dfinis dans"
echo "$3,"
echo "sont mis en commentaire ; par consquent la mise  niveau ne peut pas tre dmarre."
echo ""
echo "Ce fichier doit comporter un URI public non comment dfini comme suit :"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "La proprit d'URI public com.ibm.team.repository.server.webapp.url doit tre indique dans le fichier teamserver.properties."
echo "Ajoutez la proprit au fichier teamserver.properties de l'ancienne installation et dfinissez sa valeur sur l'URI racine que tous les clients utilisent pour accder au serveur."
echo "La racine d'URI public est indispensable au bon fonctionnement de votre nouvelle installation. Sans cette proprit, la mise  niveau ne pourra pas aboutir."
echo "Pour plus d'informations, voir la rubrique 'Planification de vos URI' dans le centre de documentation."
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "La racine de contexte de JTS est dfinie sur '$2'."
echo "La racine de contexte de l'application est dfinie sur '$3'."
echo "La racine de contexte de jts et de l'application ne peuvent pas tre identiques."
echo ""
;;

esac

}
