#!/bin/sh
# *******************************************************************************
#  Licenc hatlya al es anyagok - Az IBM tulajdona
#  (c) Copyright IBM Corporation 2012, 2013. Minden jog fenntartva.
#
#  Megjegyzs az Egyeslt llamok kormnyzati felhasznlinak korltozott jogaira vonatkozan:
#  A hasznlatot, sokszorostst vagy kzzttelt az IBM vllalattal kttt GSA ADP Schedule
#  Contract szerzds szablyozza.
#  *******************************************************************************

# ################################################################################
#
# Fjl a frisstsi automatizlt parancsfjlok ltal megjelentett zeneteknek.
#
# ################################################################################


# *********************
# * zenetek funkci *
# *********************
messages() {

case $1 in 

# *********************************
# * Kezdeti ellenrzsi zenetek *
# *********************************

INVALID_LAUNCH )
echo ""
echo "Ne hajtsa vgre kzvetlenl az app_upgrade parancsfjlt.  Az alkalmazs frisstshez futtassa a kvetkez parancsok egyikt:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "A fenti parancsok teljes lersnak megtekintshez hasznlja a -help parancsot."
;;

INVALID_START_DIR )
echo ""
echo "A(z) $2 parancsfjl csak a(z) $3 knyvtrbl futtathat, kivve ha a -help paramtert hasznlja"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "A(z) '$2' fjl tartalmazza a frisstsi parancsfjl paramterrtkeit."
echo "Ha mdostania kell brmely alaprtelmezett paramterrtket, szerkesztheti ezeket a fjlokat vagy a paramterrtkeket parancssori argumentumokknt adhatja meg a frisstsi parancsfjlok szmra."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "Az albbi fjlkszletek tartalmazzk az alkalmazs alkalmazsnek alaprtelmezett paramterrtkeit.  Ha mdostania kell brmely alaprtelmezett paramterrtket, szerkesztheti ezeket a fjlokat vagy a paramterrtkeket parancssori argumentumokknt adhatja meg a frisstsi parancsfjlok szmra."
echo "- DM frissts:   $2/params/dm_params$3.sh"
echo "- VVC frissts:  $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# * Paramterek ellenrzsi zenetei *
# ************************************

# Bels ellenrzs
# ======================

MISSING_APP_TYPE )
echo ""
echo "Nem lett megadva alkalmazstpus.  Az alkalmazs frisstshez futtassa a kvetkez parancsok egyikt:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "A fenti parancsok teljes lersnak megtekintshez hasznlja a -help parancsot."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "A(z) $2 rvnytelen alkalmazstpus.  Az alkalmazs frisstshez futtassa a kvetkez parancsok egyikt:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "A fenti parancsok teljes lersnak megtekintshez hasznlja a -help parancsot."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "A(z) $2 paramter rtke hinyzik."
echo "Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "A(z) $2 paramterhez megadott $3 knyvtr nem ltezik, vagy nem rvnyes."
echo "Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "A(z) $2 paramterhez megadott $3 knyvtrnak abszolt elrsi tnak kell lennie."
echo "Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "A(z) $2 paramterhez megadott $3 fjl nem ltezik, vagy nem rvnyes."
echo "Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "A(z) $3 rvnytelen rtk a(z) $2 paramterhez."
echo "Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez."
echo ""
;;

INVALID_PARAM )
echo ""
echo "A(z) $2 egy ismeretlen paramter."
echo "Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez."
echo ""
;;


# Kls ellenrzs
# ======================

MISSING_HOME_PARAM )
echo ""
echo "Hinyz sajt knyvtr paramter: $2."
echo "Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "A(z) $2 knyvtr nem ltezik vagy nem rvnyes."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "A(z) '$2' alkalmazs repotools parancs nem tallhat'."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul: 'JazzInstallDir/server/conf'."
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "A(z) '$2' alkalmazs repotools parancs nem tallhat'."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir/server/conf', s hogy a(z) '$4' jtsContextRoot paramter helyes-e."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "A(z) '$2' konfigurcis fjl nem tallhat."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul: 'JazzInstallDir/server/conf'."
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "A(z) '$2' konfigurcis fjl nem tallhat."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir/server/conf', s hogy a(z) '$4' jtsContextRoot paramter helyes-e."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "A(z) '$2' alkalmazs repotools parancs nem tallhat'."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -newApplicationHome paramter az j alkalmazskiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir/server/conf', s hogy a(z) '$4' jtsContextRoot paramter helyes-e."
echo "Ha egy korbbi kiadsrl frisst, gyzdjn meg rla, hogy a megfelel kontextusgykereket vlasztotta.  Ha pldul az Installation Manager eszkzt hasznlja, a "Kontextusgykr belltsai" panelen tallhat $5 kontextusgykr lehetsget kell vlasztania.  Ha vletlenl ms lehetsget vlasztott, jra kell teleptenie a termket a(z) $5 kontextusgykr belltssal."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "A(z) '$2' konfigurcis fjl nem tallhat."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -newApplicationHome paramter az j JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir/server/conf', s hogy a(z) '$4' jtsContextRoot paramter helyes-e."
echo "Ha egy korbbi kiadsrl frisst, gyzdjn meg rla, hogy a megfelel kontextusgykereket vlasztotta.  Ha pldul az Installation Manager eszkzt hasznlja, a "Kontextusgykr belltsai" panelen tallhat $5 kontextusgykr lehetsget kell vlasztania.  Ha vletlenl ms lehetsget vlasztott, jra kell teleptenie a termket a(z) $5 kontextusgykr belltssal."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "A(z) '$2' JTS repotools parancs nem tallhat."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -oldJTSHome paramter a rgi JTS konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir/server/conf', s hogy a(z) '$4' jtsContextRoot paramter helyes-e."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "A(z) '$2' konfigurcis fjl nem tallhat."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -oldJTSHome paramter a rgi JTS konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir/server/conf', s hogy a(z) '$4' jtsContextRoot paramter helyes-e."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "A(z) '$2' JTS repotools parancs nem tallhat."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -newJTSHome paramter az j JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir/server/conf', s hogy a(z) '$4' jtsContextRoot paramter helyes-e."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "A(z) '$2' konfigurcis fjl nem tallhat."
echo ""
echo "Ellenrizze, hogy a(z) '$3' -newJTSHome paramter az j JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir/server/conf', s hogy a(z) '$4' jtsContextRoot paramter helyes-e."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "A(z) $2 frisstshez egy 2.x adatokat tartalmaz tar fjl szksges."
echo "Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez."
echo ""
;;


# **********************
# * Vgrehajtsi zenetek *
# **********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===    DM frissts  ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===    VVC frissts  ==="
echo "============================================"
echo ""
;;


# *********************
# * Els lps kapcsol *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "A legutbbi vgrehajts meghisult a kezdeti lpsnl..."
;;

LAST_STEP_FAILED )
echo ""
echo "A legutbbi vgrehajts meghisult a(z) $2. lpsnl..."
echo "Kvnja jraindtani a frisstst ettl vagy egy korbbi lpstl?"
;;

ALREADY_RUN )
echo ""
echo "A frissts mr vgre lett hajtva, s sikeresen befejezdtt..."
echo "Kvn jraindtani egy j frisstst egy adott lpstl?"
;;

LAST_STEP_PASSED )
echo ""
echo "A legutbbi vgrehajts sikeresen lellt a(z) $2. lpsnl..."
echo "Kvnja jraindtani a frisstst a jelenlegi $3. vagy egy korbbi lpstl?"
;;

ENTER_NEXT_STEP )
echo ""
echo "rja be a lps szmt [$2-$3] amelytl jra kvnja indtani a frisstst, vagy nyomja meg az [Enter] billentyt a visszavonshoz:"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "A(z) '$2' nem szm. Adjon meg egy rvnyes lpsszmot."
;;

INVALID_STEP_NUMBER )
echo ""
echo "A(z) '$2' rvnytelen lpsszm. Adjon meg egy rvnyes lpsszmot."
;;

MAX_STEP_NUMBER )
echo ""
echo "Az utols lps a(z) $2. lps, ezrt nem indthatja jra a frisstst a(z) $3. lpstl."
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "A(z) $2. lps mg nem futott, ezrt nem indthatja jra a frisstst a(z) $3. lpstl."
;;


# **********************
# * zenetek a lpsekhez *
# **********************

STEP_0_IBMi )
echo "0. lps: Tblk elvetse"
echo "-------------------"
;;

STEP_0 )
echo "0. lps: Konfigurcis fjlok frisstse"
echo "---------------------------"
;;

STEP_1_ADD )
echo "1. lps: Tblk hozzadsa"
echo "------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "$2. lps: Szvegindexek jraptse"
echo "----------------------------"
;;

JFS_INDICES_STEP )
echo "$2. lps: Lekrdezsi s keressi indexek ismtelt ltrehozsa"
echo "-----------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "2. lps: Adattrhz sma frisstse"
echo "-------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "A(z) $2 frissts a(z) $3 lpsnl meghisult.  Javtsa ki a problmt, s futtassa jra a parancsfjlt a(z) $3 lpstl."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo "A(z) $2 frissts sikerlt.  Ha a JTS kiszolglt is frisstette, akkor most elindthatja a kiszolglkat a krnyezetben."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo "A(z) $2 frissts sikerlt.  Ha a JTS kiszolglt s valamilyen fgg alkalmazst (pldul DM) is frisstett, akkor most elindthatja a kiszolglkat a krnyezetben."
echo ""
;;

# *******************************
# * zenetek lpsek futtatsa kzben *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Knyvtr: $2"
echo "Parancs:"
;;

ENTER_STEP_ACTION )
echo "rjon be [E] rtket ennek a lpsnek a vgrehajtshoz, [S] rtket a kihagyshoz, vagy nyomja meg az [Enter] billentyt a parancsfjl vgrehajtsnak megszaktshoz:"
;;

INVALID_STEP_ACTION )
echo ""
echo "A(z) '$2' rvnytelen bejegyzs, csak 'E', 'S' vagy 'Enter' engedlyezett"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "Megnylik a vi szerkeszt, amely segtsgvel ellenrizheti a(z) $2 teamserver.properties fjlt."
echo "Ellenrizze, hogy a com.ibm.team.repository.server.webapp.url tulajdonsggal jellt Nyilvnos URI gykr helyes-e."
echo "Ellenrizze, hogy az adatbzis-tulajdonsgok helyesek-e."
echo "Ha befejezte, mentse az esetleges mdostsokat, s zrja be a szerkesztt a parancsfjl vgrehajtsnak folytatshoz."
echo ""
;;

PAUSE )
echo ""
echo "Nyomja meg a [C] billentyt a vgrehajts folytatshoz, vagy nyomja meg az [Enter] billentyt a parancsfjl vgrehajtsnak megszaktshoz:"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "A(z) '$2'  rvnytelen bejegyzs, csak a 'C' vagy az 'Enter' engedlyezett"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "Nem sikerlt tmsolni a szvegindexeket. Forrs: '$2', cl: '$3'."
echo "Gyzdjn meg rla, hogy a com.ibm.team.fulltext.indexLocation"
echo "tulajdonsg meg van hatrozva a teamserver.properties fjlban."
echo "Kzzel msolja t a szvegindexeket ebbe a knyvtrba,"
echo "vagy futtassa a -rebuildTextIndices parancsot az jraptskhz."
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "Nem sikerlt tmsolni a TRS adatbzist. Forrs: '$2', cl: '$3'."
echo "Ellenrizze, hogy a com.ibm.xtools.trs.database tulajdonsg"
echo "meg van hatrozva a teamserver.properties fjlban."
echo "Sajt kezleg msolja t a TRS adatbzis knyvtr-hierarchijt."
echo ""
;;

# *****************************************
# * zenetek a nyilvnos URI-k ellenrzshez *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HIBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Nincs nyilvnos URI meghatrozva itt:"
echo "$3,"
echo "gy a frissts nem indthat el."
echo ""
echo "Legalbb egy nyilvnos URI elemnek jelen kell lennie ebben a fjlban a kvetkezkppen megadva:"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "A com.ibm.team.repository.server.webapp.url Nyilvnos URI tulajdonsgnak jelen kell lennie a teamserver.properties fjlban."
echo "Adja hozz a tulajdonsgot a rgi telepts teamserver.properties fjljhoz, s lltsa be az rtkt arra az URI gykrre, amelyet minden gyfl hasznlhat a kiszolgl elrshez."
echo "A Nyilvnos URI gykr alapvet fontossg az j telepts megfelel mkdshez. A frissts sikertelen lesz ezen tulajdonsg nlkl."
echo "Tovbbi informcikrt tekintse meg az Informcikzpont 'Sajt URI-azonostk tervezse' tmakrt."
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HIBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Minden nyilvnos, a(z)"
echo "$3"
echo "helyen meghatrozott URI megjegyzssel van elltva, gy a frissts nem indthat el."
echo ""
echo "Legalbb egy megjegyzs nlkli URI-azonostnak kell lennie ebben a fjlban a kvetkezkkppen megadva:"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "A com.ibm.team.repository.server.webapp.url Nyilvnos URI tulajdonsgnak jelen kell lennie a teamserver.properties fjlban."
echo "Adja hozz a tulajdonsgot a rgi telepts teamserver.properties fjljhoz, s lltsa be az rtkt arra az URI gykrre, amelyet minden gyfl hasznlhat a kiszolgl elrshez."
echo "A Nyilvnos URI gykr alapvet fontossg az j telepts megfelel mkdshez. A frissts sikertelen lesz ezen tulajdonsg nlkl."
echo "Tovbbi informcikrt tekintse meg az Informcikzpont 'Sajt URI-azonostk tervezse' tmakrt."
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "A JTS kontextusgykr belltva a kvetkezre: '$2'."
echo "Az alkalmazs kontextusgykere belltva a kvetkezre: '$3'."
echo "A JTS s az alkalmazs kontextusgykere nem lehet azonos."
echo ""
;;

esac

}
