#!/bin/sh
# *******************************************************************************
#  Materiale su licenza - Propriet di IBM
#  (c) Copyright IBM Corporation 2012, 2013. Tutti i diritti riservati.
#
#  Nota relativa a limitazioni dei diritti per gli utenti del Governo degli Stati Uniti:
#  L'uso, la duplicazione o la divulgazione sono limitati dal GSA ADP Schedule
#  Contract con IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# File per i messaggi visualizzati dagli script di aggiornamento automatizzati.
#
# ################################################################################


# *********************
# * Funzione Messages *
# *********************
messages() {

case $1 in 

# *********************************
# * Messaggi di verifica iniziale *
# *********************************

INVALID_LAUNCH )
echo ""
echo "Non eseguire direttamente lo script app_upgrade.  Per aggiornare un'applicazione, eseguire uno dei seguenti comandi:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Utilizzare -help per una descrizione completa dei comandi elencati."
;;

INVALID_START_DIR )
echo ""
echo "Eccezione durante utilizzo del parametro -help, lo script $2 non pu essere eseguito da una directory diversa da $3"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "Il file '$2' contiene i valori dei parametri per lo script di aggiornamento."
echo "Se  necessario modificare i valori dei parametri predefiniti,  possibile modificare questi file oppure specificare i valori come argomenti della riga comandi sugli script di aggiornamento."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "La seguente serie di file contiene contiene i valori dei parametri predefiniti per un aggiornamento dell'applicazione.  Se  necessario modificare i valori dei parametri predefiniti,  possibile modificare questi file oppure specificare i valori come argomenti della riga comandi sugli script di aggiornamento."
echo "- DM upgrade:   $2/params/dm_params$3.sh"
echo "- VVC upgrade:  $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# * Messaggi di verifica dei parametri *
# ************************************

# Verifica intrinseca
# ======================

MISSING_APP_TYPE )
echo ""
echo "Non sono stati specificati tipi di applicazione.  Per aggiornare l'applicazione, eseguire uno dei seguenti comandi:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Utilizzare -help per una descrizione completa dei comandi elencati."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 non  un tipo di applicazione valido.  Per aggiornare l'applicazione, eseguire uno dei seguenti comandi:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Utilizzare -help per una descrizione completa dei comandi elencati."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "Valore mancante per il parametro $2."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "La directory $3, specificata per il parametro $2 non esiste o non  valida."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "La directory $3 specificata per il parametro $2 deve essere un percorso assoluto."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "Il file $3, specificato per il parametro $2 non esiste o non  valido."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 non  un valore valido per il parametro $2."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2  un parametro sconosciuto."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;


# Verifica estrinseca
# ======================

MISSING_HOME_PARAM )
echo ""
echo "Parametro directory home $2 mancate."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "La directory $2 non esiste o non  valida."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "Impossibile trovare il comando repotools dell'applicazione '$2'."
echo ""
echo "Verificare che il parametro -oldApplicationHome '$3' punti alla vecchia directory di configurazione del server, ad esempio, 'JazzInstallDir/server/conf'"
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "Impossibile trovare il comando repotools dell'applicazione '$2'."
echo ""
echo "Verificare che il parametro -oldApplicationHome '$3' punti alla vecchia directory di configurazione del server, ad esempio, 'JazzInstallDir/server/conf' e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Verificare che il parametro -oldApplicationHome '$3' punti alla vecchia directory di configurazione del server, ad esempio, 'JazzInstallDir/server/conf'"
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Verificare che il parametro -oldApplicationHome '$3' punti alla vecchia directory di configurazione del server, ad esempio, 'JazzInstallDir/server/conf' e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "Impossibile trovare il comando repotools dell'applicazione '$2'."
echo ""
echo "Verificare che il parametro -newApplicationHome '$3' punti alla nuova directory di configurazione del server, ad esempio, 'JazzInstallDir/server/conf' e che il parametro jtsContextRoot '$4' sia corretto."
echo "Se si sta effettuando un aggiornamento da una release precedente, verificare di aver selezionato le root di contesto corrette.  Ad esempio, se si utilizza Installation Manager, selezionare l''opzione della root di contesto $5 sul pannello "Opzioni root di contesto".  Se per sbaglio  stata selezionata un''opzione differente, reinstallare la versione the con l''opzione della root di contesto $5."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Verificare che il parametro -newApplicationHome '$3' punti alla nuova directory di configurazione del server JTS, ad esempio, 'JazzInstallDir/server/conf' e che il parametro jtsContextRoot '$4' sia corretto."
echo "Se si sta effettuando un aggiornamento da una release precedente, verificare di aver selezionato le root di contesto corrette.  Ad esempio, se si utilizza Installation Manager, selezionare l''opzione della root di contesto $5 sul pannello "Opzioni root di contesto".  Se per sbaglio  stata selezionata un''opzione differente, reinstallare la versione the con l''opzione della root di contesto $5."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "Impossibile trovare il comando repotools di JTS '$2'."
echo ""
echo "Verificare che il parametro -oldJTSHome '$3' punti alla vecchia directory di configurazione del server JRS, ad esempio, 'JazzInstallDir/server/conf' e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Verificare che il parametro -oldJTSHome '$3' punti alla vecchia directory di configurazione del server JRS, ad esempio, 'JazzInstallDir/server/conf' e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "Impossibile trovare il comando repotools di JTS '$2'."
echo ""
echo "Verificare che il parametro -newJTSHome '$3' punti alla nuova directory di configurazione del server JTS, ad esempio, 'JazzInstallDir/server/conf' e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "Impossibile trovare il file di configurazione '$2'."
echo ""
echo "Verificare che il parametro -newJTSHome '$3' punti alla nuova directory di configurazione del server JTS, ad esempio, 'JazzInstallDir/server/conf' e che il parametro jtsContextRoot '$4' sia corretto."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "Un file tar contenente dati 2.x  richiesto per l'aggiornamento di $2."
echo "Utilizzare -help per una descrizione completa dei parametri."
echo ""
;;


# **********************
# * Messaggi di esecuzione *
# **********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===    Aggiornamento DM    ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===    Aggiornamento VVC    ==="
echo "============================================"
echo ""
;;


# *********************
# * Passaggio a Primi passi *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "Ultima esecuzione non riuscita al passo iniziale..."
;;

LAST_STEP_FAILED )
echo ""
echo "Ultima esecuzione non riuscita al passo $2..."
echo "Si desidera riavviare l'aggiornamento da questo passo o da un passo precedente?"
;;

ALREADY_RUN )
echo ""
echo "L'aggiornamento  gi stato eseguito ed  stato completato correttamente..."
echo "Si desidera riavviarne uno nuovo da questo passo o da un passo precedente?"
;;

LAST_STEP_PASSED )
echo ""
echo "Ultima esecuzione correttamente arrestata al passo $2..."
echo "Si desidera riavviare l'aggiornamento dal passo corrente $3 o da uno precedente?"
;;

ENTER_NEXT_STEP )
echo ""
echo "Immettere il numero del passo [$2-$3] da cui si desidera riavviare l'aggiornamento oppure premere [Invio] per annullare l'operazione:"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2' non  un numero. Immettere un numero di passo valido."
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2' non  un numero di passo valido. Immettere un numero di passo valido."
;;

MAX_STEP_NUMBER )
echo ""
echo "L'ultimo passo  il passo $2, pertanto non  possibile riavviare l'aggiornamento al passo $3."
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "Il passo $2 non  stato ancora eseguito, pertanto non  possibile riavviare l'aggiornamento al passo $3."
;;


# **********************
# * Messaggi per i passi *
# **********************

STEP_0_IBMi )
echo "Passo 0: Eliminare tabelle"
echo "-------------------"
;;

STEP_0 )
echo "Passo 0: Aggiornare i file di configurazione"
echo "---------------------------"
;;

STEP_1_ADD )
echo "Passo 1: Aggiungere tabelle"
echo "------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "Passo $2: Generare nuovamente gli indici di testo"
echo "----------------------------"
;;

JFS_INDICES_STEP )
echo "Passo $2: Creare nuovamente gli indici di ricerca e query"
echo "-----------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "Passo 2: Aggiornare lo schema del data warehouse"
echo "-------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "L'aggiornamento di $2 non  riuscito alla fase $3.  Correggere il problema ed eseguire di nuovo lo script dal passo $3."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo "L'aggiornamento di $2  riuscito.  Se  stato eseguito anche l'aggiornamento di JTS, ora  possibile avviare i server nella distribuzione."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo "L'aggiornamento di $2  riuscito.  Se  stato eseguito anche l'aggiornamento di JTS e di qualsiasi applicazione dipendente (come DM), ora  possibile avviare i server nella distribuzione."
echo ""
;;

# *******************************
# * Messaggi durante l'esecuzione del passo *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Directory: $2"
echo "Comando:"
;;

ENTER_STEP_ACTION )
echo "Immettere [E] per eseguire questo passo, [S] per ignorarlo oppure premere [Invio] per annullare l'esecuzione dello script:"
;;

INVALID_STEP_ACTION )
echo ""
echo "'$2' non  una voce valida, sono consentite solo le scelte 'E', 'S' o 'Invio'"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "Un editor vi verr aperto per verificare il file $2 teamserver.properties."
echo "Verificare che la root dell'URI pubblico denotato dalla propriet com.ibm.team.repository.server.webapp.url sia corretta."
echo "Verificare che le propriet del database siano corrette."
echo "Una volta completato, salvare le modifiche, se presenti, e chiudere l'editor per continuare l'esecuzione dello script."
echo ""
;;

PAUSE )
echo ""
echo "Immettere [C] per continuare l'esecuzione oppure premere [Invio] per annullare l'esecuzione dello script:"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2'  una voce non valida, sono consentiti solo 'C' o 'Invio'"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "Impossibile copiare gli indici di testo da '$2' a '$3'."
echo "Verificare la propriet com.ibm.team.fulltext.indexLocation"
echo "definita nel file teamserver.properties."
echo "Copiare manualmente gli indici di testo in questa directory"
echo "oppure eseguire repotools -rebuildTextIndices per generarli nuovamente."
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "Impossibile copiare il database TRS da '$2' a '$3'."
echo "Verificare la propriet com.ibm.xtools.trs.database"
echo "definita nel file teamserver.properties."
echo "Copiare manualmente la gerarchia di directory del database TRS."
echo ""
;;

# *****************************************
# * Messaggi per la verifica di URI pubblici *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRORE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Nessun URI pubblico definito in"
echo "$3,"
echo "pertanto non  possibile avviare l'aggiornamento."
echo ""
echo " necessario che in questo file sia presente un URI pubblico definito come segue:"
echo "https\://nomehost.esempio.com\:porta/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "La propriet dell'URI pubblico com.ibm.team.repository.server.webapp.url deve essere presente nel file teamserver.properties."
echo "Aggiungere la propriet al file teamserver.properties della vecchia installazione ed impostare il valore in modo che sia la root dell'URI che tutti i client utilizzano per raggiungere il server."
echo "La root dell'URI pubblico  necessaria per il corretto funzionamento della nuova installazione. L'aggiornamento non riuscir senza questa propriet.  "
echo "Per ulteriori informazioni, consultare l'argomento del Centro informazioni 'Pianificazione degli URI'."
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRORE!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Tutti gli URI pubblici definiti in"
echo "$3,"
echo "sono commentati, pertanto non  possibile avviare l'aggiornamento."
echo ""
echo " necessario che in questo file vi sia un URI pubblico non commentato definito come segue:"
echo "https/://nomehost.esempio.com/:porta/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "La propriet dell'URI pubblico com.ibm.team.repository.server.webapp.url deve essere presente nel file teamserver.properties."
echo "Aggiungere la propriet al file teamserver.properties della vecchia installazione ed impostare il valore in modo che sia la root dell'URI che tutti i client utilizzano per raggiungere il server."
echo "La root dell'URI pubblico  necessaria per il corretto funzionamento della nuova installazione. L'aggiornamento non riuscir senza questa propriet."
echo "Per ulteriori informazioni, consultare l'argomento del Centro informazioni 'Pianificazione degli URI'."
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "La root di contesto per JTS  impostata su '$2'."
echo "La root di contesto per l'applicazione  impostata su '$3'."
echo "La root di contesto per JTS e quella per l'applicazione non possono essere uguali."
echo ""
;;

esac

}
