#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012, 2013. Todos os Direitos Reservados.
#
#  Nota sobre Direitos Restritos para Usurios do Governo dos Estados Unidos:
#  Uso, duplicao ou divulgao restritos pelo documento GSA ADP Schedule
#  Contract com a IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# Arquivo para mensagens exibido pelos scripts automatizados de upgrade.
#
# ################################################################################


# *********************
# * Funo de Mensagens *
# *********************
messages() {

case $1 in 

# *********************************
# * Mensagens de verificao inicial *
# *********************************

INVALID_LAUNCH )
echo ""
echo "No execute o script app_upgrade diretamente.  Para fazer upgrade de um aplicativo, execute um dos comandos a seguir:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Use -help para obter uma descrio completa dos comandos acima."
;;

INVALID_START_DIR )
echo ""
echo "Exceto ao usar o parmetro -help, o script $2 no pode ser executado a partir de um outro diretrio diferente de $3"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "O arquivo '$2' contm os valores de parmetro para script de atualizao."
echo "Se precisar modificar qualquer valor de parmetro padro,  possvel editar estes arquivos ou especificar os valores de parmetro como argumentos de linha de comandos para os scripts de atualizao."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "O conjunto de arquivos a seguir contm valores de parmetro padro para upgrade de um aplicativo.  Se for necessrio modificar qualquer valor de parmetro padro,  possvel editar estes arquivos ou especificar os valores de parmetro como argumentos de linha de comandos para os scripts de atualizao."
echo "- DM upgrade:   $2/params/dm_params$3.sh"
echo "- VVC upgrade:  $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# * Mensagens de verificao de parmetros *
# ************************************

# Verificao Intrnseca
# ======================

MISSING_APP_TYPE )
echo ""
echo "Nenhum tipo de aplicativo foi especificado.  Para fazer upgrade do aplicativo, execute um dos comandos a seguir:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Use -help para obter uma descrio completa dos comandos acima."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 no  um tipo de aplicativo vlido.  Para fazer upgrade do aplicativo, execute um dos comandos a seguir:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Use -help para obter uma descrio completa dos comandos acima."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "Valor ausente para o parmetro $2."
echo "Use -help para obter uma descrio completa dos parmetros."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "O diretrio $3, especificado para o parmetro $2, no existe ou no  vlido."
echo "Use -help para obter uma descrio completa dos parmetros."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "O diretrio $3 especificado para o parmetro $2 deve ser uma caminho absoluto."
echo "Use -help para obter uma descrio completa dos parmetros."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "O arquivo $3, especificado para o parmetro $2, no existe ou no  vlido."
echo "Use -help para obter uma descrio completa dos parmetros."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3  um valor invlido para o parmetro $2."
echo "Use -help para obter uma descrio completa dos parmetros."
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2  um parmetro desconhecido."
echo "Use -help para obter uma descrio completa dos parmetros."
echo ""
;;


# Verificao Extrnseca
# ======================

MISSING_HOME_PARAM )
echo ""
echo "Parmetro $2 do diretrio inicial ausente."
echo "Use -help para obter uma descrio completa dos parmetros."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "O diretrio $2 no existe ou no  vlido."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "No  possvel localizar o comando repotools do aplicativo '$2'."
echo ""
echo "Verifique se o parmetro -oldApplicationHome '$3' est apontando para o diretrio de configurao antigo do servidor, por exemplo, 'JazzInstallDir/server/conf'."
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "No  possvel localizar o comando repotools do aplicativo '$2'."
echo ""
echo "Verifique se o parmetro -oldApplicationHome '$3' est apontando para o diretrio de configurao antigo do servidor, por exemplo, 'JazzInstallDir/server/conf' e se o parmetro jtsContextRoot '$4' est correto."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "No  possvel localizar o arquivo de configurao '$2'."
echo ""
echo "Verifique se o parmetro -oldApplicationHome '$3' est apontando para o diretrio de configurao antigo do servidor, por exemplo, 'JazzInstallDir/server/conf'."
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "No  possvel localizar o arquivo de configurao '$2'."
echo ""
echo "Verifique se o parmetro -oldApplicationHome '$3' est apontando para o diretrio de configurao antigo do servidor, por exemplo, 'JazzInstallDir/server/conf' e se o parmetro jtsContextRoot '$4' est correto."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "No  possvel localizar o comando repotools do aplicativo '$2'."
echo ""
echo "Verifique se o parmetro -newApplicationHome '$3' est apontando para o novo diretrio de configurao do servidor de aplicativos, por exemplo, 'JazzInstallDir/server/conf' e se o parmetro jtsContextRoot '$4' est correto."
echo "Se voc estiver fazendo upgrade de uma liberao anterior, assegure-se de que tenha selecionado as razes de contexto corretas.  Por exemplo, se estiver usando o Installation Manager, voc dever selecionar a opo de raiz de contexto $5 no painel "Opes de Raiz de Contexto".  Se tiver selecionado, acidentalmente, uma opo diferente, voc dever reinstalar o produto com a opo de raiz de contexto $5."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "No  possvel localizar o arquivo de configurao '$2'."
echo ""
echo "Verifique se o parmetro -newApplicationHome '$3' est apontando para o novo diretrio de configurao do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parmetro jtsContextRoot '$4' est correto."
echo "Se voc estiver fazendo upgrade de uma liberao anterior, assegure-se de que tenha selecionado as razes de contexto corretas.  Por exemplo, se estiver usando o Installation Manager, voc dever selecionar a opo de raiz de contexto $5 no painel "Opes de Raiz de Contexto".  Se tiver selecionado, acidentalmente, uma opo diferente, voc dever reinstalar o produto com a opo de raiz de contexto $5."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "No  possvel localizar o comando JTS repotools '$2'."
echo ""
echo "Verifique se o parmetro -oldJTSHome '$3' est apontando para o diretrio de configurao antigo do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parmetro jtsContextRoot '$4' est correto."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "No  possvel localizar o arquivo de configurao '$2'."
echo ""
echo "Verifique se o parmetro -oldJTSHome '$3' est apontando para o diretrio de configurao antigo do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parmetro jtsContextRoot '$4' est correto."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "No  possvel localizar o comando JTS repotools '$2'."
echo ""
echo "Verifique se o parmetro -newJTSHome '$3' est apontando para o novo diretrio de configurao do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parmetro jtsContextRoot '$4' est correto."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "No  possvel localizar o arquivo de configurao '$2'."
echo ""
echo "Verifique se o parmetro -newJTSHome '$3' est apontando para o novo diretrio de configurao do servidor JTS, por exemplo, 'JazzInstallDir/server/conf' e se o parmetro jtsContextRoot '$4' est correto."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "Um arquivo tar que contenha dados 2.x  necessrio para o upgrade de $2."
echo "Use -help para obter uma descrio completa dos parmetros."
echo ""
;;


# **********************
# * Mensagens de execuo *
# **********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===    Upgrade do DM    ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===    Upgrade do VVC    ==="
echo "============================================"
echo ""
;;


# *********************
# * Comutador First Step *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "ltima execuo falhou na etapa inicial..."
;;

LAST_STEP_FAILED )
echo ""
echo "ltima execuo falhou na etapa $2..."
echo "Deseja reiniciar o upgrade a partir desta etapa ou de uma anterior?"
;;

ALREADY_RUN )
echo ""
echo "O upgrade j foi feito e concludo com sucesso..."
echo "Deseja reiniciar um novo a partir de uma etapa especfica?"
;;

LAST_STEP_PASSED )
echo ""
echo "ltima execuo foi interrompida com sucesso na etapa $2..."
echo "Deseja reiniciar o upgrade a partir da etapa $3 atual ou de uma anterior?"
;;

ENTER_NEXT_STEP )
echo ""
echo "Insira o nmero da etapa [$2-$3] da qual deseja reiniciar o upgrade ou [Enter] para Cancelar:"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2' no  um nmero. Insira um nmero de etapa vlido."
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2'  um nmero de etapa invlido. Insira um nmero de etapa vlido."
;;

MAX_STEP_NUMBER )
echo ""
echo "A ltima etapa  a etapa $2, portanto, no  possvel reiniciar o upgrade na etapa $3."
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "A etapa $2 no foi executada ainda, portanto, no  possvel reiniciar o upgrade na etapa $3."
;;


# **********************
# * Mensagens para Etapas *
# **********************

STEP_0_IBMi )
echo "Etapa 0: Eliminar tabelas"
echo "-------------------"
;;

STEP_0 )
echo "Etapa 0: Atualizar arquivos de configurao"
echo "---------------------------"
;;

STEP_1_ADD )
echo "Etapa 1: Incluir tabelas"
echo "------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "Etapa $2: Recompilar ndices de texto"
echo "------------------------------------"
;;

JFS_INDICES_STEP )
echo "Etapa $2: Recriar ndices de consulta e procura"
echo "----------------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "Etapa 2: Fazer upgrade do esquema de data warehouse"
echo "-------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "A atualizao $2 falhou na etapa $3.  Corrija o problema e execute o script novamente comeando na etapa $3."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo "O upgrade de $2 foi bem-sucedido.  Se tambm fez upgrade do JTS, agora voc poder iniciar os servidores na implementao."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo "O upgrade de $2 foi bem-sucedido.  Se voc tambm tiver feito upgrade do JTS e de qualquer aplicativo dependente (como o DM), agora ser possvel iniciar os servidores em sua implementao."
echo ""
;;

# *******************************
# * Mensagens ao executar etapa *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Diretrio: $2"
echo "Comando:"
;;

ENTER_STEP_ACTION )
echo "Insira [E] para executar essa etapa, [S] para ignorar ou pressione [Enter] para cancelar a execuo do script:"
;;

INVALID_STEP_ACTION )
echo ""
echo "O '$2'  uma entrada invlida, somente 'E', 'S' ou 'Enter' so permitidos"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "Um editor vi ser aberto para permitir que voc verifique o arquivo teamserver.properties $2."
echo "Verifique se a raiz de URI Pblico denotada pela propriedade com.ibm.team.repository.server.webapp.url est correta."
echo "Verifique se as propriedades do banco de dados esto corretas."
echo "Quando concludo, salve as mudanas se houver alguma e feche o editor para continuar a execuo do script."
echo ""
;;

PAUSE )
echo ""
echo "Insira [C] para continuar a execuo ou pressione [Enter] para cancelar a execuo do script:"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2'  uma entrada invlida, somente 'C' ou 'Enter' so permitidos"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "Falha ao copiar ndices de texto de '$2' para '$3'."
echo "Verifique a propriedade com.ibm.team.fulltext.indexLocation"
echo "definida no arquivo teamserver.properties."
"Copie manualmente os ndices de texto para este diretrio"
echo "ou execute repotools -rebuildTextIndices para recompil-los."
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "Falha ao copiar o banco de dados TRS de '$2' para '$3'."
echo "Verifique a propriedade com.ibm.xtools.trs.database"
echo "definida no arquivo teamserver.properties."
echo "Copie manualmente a hierarquia do diretrio do banco de dados TRS."
echo ""
;;

# *****************************************
# * Mensagens para verificao de URIs Pblicos *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "No h nenhuma URI Pblica em"
echo "$3,"
echo "portanto, o upgrade no pode ser iniciado."
echo ""
echo "Deve haver um URI Pblico neste arquivo definido conforme a seguir:"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "A propriedade de URI Pblico com.ibm.team.repository.server.webapp.url deve estar presente no arquivo teamserver.properties."
echo "Inclua a propriedade no arquivo teamserver.properties da instalao antiga e configure o valor para ser a raiz do URI que todos os clientes usam para atingir o servidor."
echo "A raiz do URI Pblico  essencial para o funcionamento adequado de sua nova instalao. A atualizao no ser concluda com sucesso sem esta propriedade.  "
echo "Para obter mais informaes, consulte o tpico 'Planejando seus URIs' no Centro de Informaes."
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Todas as URIs Pblicas definidas em"
echo "$3,"
echo "possuem linhas de comentrios, portanto, o upgrade no pode ser iniciado."
echo ""
echo "Deve haver um URI Pblico com o comentrio removido neste arquivo definido conforme a seguir:"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "A propriedade de URI Pblico com.ibm.team.repository.server.webapp.url deve estar presente no arquivo teamserver.properties."
echo "Inclua a propriedade no arquivo teamserver.properties da instalao antiga e configure o valor para ser a raiz do URI que todos os clientes usam para atingir o servidor."
echo "A raiz do URI Pblico  essencial para o funcionamento adequado de sua nova instalao. A atualizao no ser concluda com sucesso sem esta propriedade."
echo "Para obter mais informaes, consulte o tpico 'Planejando seus URIs' no Centro de Informaes."
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "A raiz de contexto do JTS est configurada como '$2'."
echo "A raiz de contexto do aplicativo est configurada como '$3'."
echo "As razes de contexto do jts e do aplicativo no podem ser iguais."
echo ""
;;

esac

}
